Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class DocumentTypeImpl

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child
                  |
                  +--org.apache.xalan.stree.DocumentTypeImpl

public class DocumentTypeImpl
extends Child
implements DocumentType

Method Summary
`NamedNodeMap` | `getEntities()` A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD.
`java.lang.String` | `getInternalSubset()` The internal subset as a string.
`java.lang.String` | `getLocalName()` Returns the local part of the qualified name of this node.
`java.lang.String` | `getName()` The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
`java.lang.String` | `getNodeName()` Returns the node name.
`short` | `getNodeType()` A short integer indicating what type of node this is.
`NamedNodeMap` | `getNotations()` A `NamedNodeMap` containing the notations declared in the DTD.
`java.lang.String` | `getPublicId()` The public identifier of the external subset.
`java.lang.String` | `getSystemId()` The system identifier of the external subset.

Methods inherited from class org.apache.xalan.stree.Child
`getAttributes, getChildPosition, getFirstChild, getLastChild, getLevel, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, getUid, hasChildNodes, isComplete, isNamespaceNode, setAttribute, setLevel, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLength, getNodeValue, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, item, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.
  Overrides:
    getNodeType in class UnImplNode

### getNodeName

    public java.lang.String getNodeName()

  Returns the node name.
  Overrides:
    getNodeName in class UnImplNode

### getName

    public java.lang.String getName()

  The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
  Specified by:
    getName in interface DocumentType

### getLocalName

    public java.lang.String getLocalName()

  Returns the local part of the qualified name of this node.
  For nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, it is `null`.
  Overrides:
    getLocalName in class Child
  Since:
    DOM Level 2

### getEntities

    public NamedNodeMap getEntities()

  A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD. Parameter entities are not contained. Duplicates are discarded. For example in:

       <!DOCTYPE ex SYSTEM "ex.dtd" [
         <!ENTITY foo "foo">
         <!ENTITY bar "bar">
         <!ENTITY bar "bar2">
         <!ENTITY % baz "baz">
       ]>
       <ex/>

  the interface provides access to `foo` and the first declaration of `bar` but not the second declaration of `bar` or `baz`. Every node in this map also implements the `Entity` interface.
  The DOM Level 2 does not support editing entities, therefore `entities` cannot be altered in any way.
  Specified by:
    getEntities in interface DocumentType

### getNotations

    public NamedNodeMap getNotations()

  A `NamedNodeMap` containing the notations declared in the DTD. Duplicates are discarded. Every node in this map also implements the `Notation` interface.
  The DOM Level 2 does not support editing notations, therefore `notations` cannot be altered in any way.
  Specified by:
    getNotations in interface DocumentType

### getPublicId

    public java.lang.String getPublicId()

  The public identifier of the external subset.
  Specified by:
    getPublicId in interface DocumentType
  Since:
    DOM Level 2

### getSystemId

    public java.lang.String getSystemId()

  The system identifier of the external subset.
  Specified by:
    getSystemId in interface DocumentType
  Since:
    DOM Level 2

### getInternalSubset

    public java.lang.String getInternalSubset()

  The internal subset as a string.
  Specified by:
    getInternalSubset in interface DocumentType
  Since:
    DOM Level 2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.